%global yenc_hash ee6b73a5b14f

Name:           python-yenc
Version:        0.4.0
Release:        9%{?dist}
Summary:        yEnc Module for Python
Group:          Development/Languages
License:        GPLv2+
URL:            https://bitbucket.org/dual75/yenc
Source0:        https://bitbucket.org/dual75/yenc/get/%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  python-devel
BuildRequires:  python-setuptools

%description
python-yenc is a yEnc decoding library for Python. yEnc is a
binary-to-text encoding scheme for transferring binary files
in messages on Usenet or via e-mail.


%prep
%setup -q -n dual75-yenc-%{yenc_hash}


%build
CFLAGS="$RPM_OPT_FLAGS" %{__python2} -c 'import setuptools; execfile("setup.py")' build


%install
rm -rf $RPM_BUILD_ROOT
%{__python2} -c 'import setuptools; execfile("setup.py")' install -O1 --skip-build --root $RPM_BUILD_ROOT
chmod g-w $RPM_BUILD_ROOT/%{python_sitearch}/_yenc.so


%check
PYTHONPATH="$PYTHONPATH:$RPM_BUILD_ROOT/%{python_sitearch}" %{__python2} test/test.py

 
%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README TODO COPYING
%{python_sitearch}/*


%changelog
* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Dec 12 2013 Conrad Meyer <cemeyer@uw.edu> - 0.4.0-2
- BR python-setuptools-devel -> python-setuptools

* Tue Dec 10 2013 Conrad Meyer <cemeyer@uw.edu> - 0.4.0-1
- Bump to latest upstream
- Drop define of python_sitearch; isn't needed in Fedora
- Use __python2 macro instead of __python

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Mar 8 2012 Conrad Meyer <konrad@tylerc.org> - 0.3-11
- Fix some minor bugs pointed out by cpychecker (#800187)

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 0.3-8
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.3-5
- Rebuild for Python 2.6

* Fri Jun 6 2008 Conrad Meyer <konrad@tylerc.org> - 0.3-4
- Fix test to behave correctly.

* Fri Jun 6 2008 Conrad Meyer <konrad@tylerc.org> - 0.3-3
- Make description better, fix permissions of installed .so, add a
  %%check section as per comment #7 in bz# 449667.

* Thu Jun 5 2008 Conrad Meyer <konrad@tylerc.org> - 0.3-2
- Build egg information.

* Mon Jun 2 2008 Conrad Meyer <konrad@tylerc.org> - 0.3-1
- Initial revision.
